## Generated by Codox

# The-great-game 0.1.2-SNAPSHOT

# cc.journeyman.the-great-game.holdings.holding

TODO: write docs

### ProtoHolding

#### protocol

#### members

### building-origin

`(building-origin holding)`

Returns an oriented location - normally the right hand end of the frontage, for an urban holding - from which buildings on the holding should be built.

### frontage

`(frontage holding)`

Returns a sequence of two locations representing the edge of the polygon which defines this holding which is considered to be the front.

view source